Bug 9137 - Focus when editing/adding new itemtypes/authorised values
Summary: Focus when editing/adding new itemtypes/authorised values
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-25 22:15 UTC by Katrin Fischer
Modified: 2013-05-23 06:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9137 - Focus when editing/adding new itemtypes/authorised values (3.95 KB, patch)
2012-11-26 15:55 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed off] Bug 9137 - Focus when editing/adding new itemtypes/authorised values (3.98 KB, patch)
2012-11-27 00:35 UTC, Melia Meggs
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9137 - Focus when editing/adding new itemtypes/authorised values (4.07 KB, patch)
2012-11-28 06:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-11-25 22:15:12 UTC
When you add a new authorised value or a new item type the focus is in no field on the page. I think it would be nice if you could start writing directly into the first field of the form after clicking the 'new ...' button.
Comment 1 Owen Leonard 2012-11-26 15:55:41 UTC Comment hidden (obsolete)
Comment 2 Melia Meggs 2012-11-27 00:34:51 UTC
I followed the test plan, and found that the focus is in the first field on the page by default without having to click anywhere.  Very helpful, and works as advertised!

(I had to add a "patch complexity" to this enhancement request in order to sign it off - hopefully "trivial" is ok, but if not, someone else please change it!)
Comment 3 Melia Meggs 2012-11-27 00:35:25 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2012-11-28 06:52:21 UTC
Created attachment 13721 [details] [review]
[SIGNED-OFF] Bug 9137 - Focus when editing/adding new itemtypes/authorised values

This patch adds the "focus" class to the relevant inputs so
that the global staff client JS will move the focus to those fields.
Logic in the authorised_values template puts the focus on the
correct field whether you're adding a new category, a new value,
or performing an edit.

To test, try the following operations:
 - add an itemtype
 - edit an itemtype
 - add an authorised value category
 - add an authorised value value
 - edit an authorised value value

In all cases the focus should automatically be in the first
form field.

Signed-off-by: Melia Meggs <melia@test.bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests pass and works nicely.
Comment 5 Jared Camins-Esakov 2012-11-28 21:52:54 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2012-11-29 07:34:23 UTC
Pushed to 3.10.x, will be in 3.10.1
Comment 7 Chris Cormack 2012-11-29 22:33:55 UTC
Pushed to 3.8.x will be in 3.8.8